%global tarball xf86-video-vboxvideo
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Name: x11-driver-video-vboxvideo
Version: 1.0.0
Release: %mkrel 6
Epoch:	 1
Summary: X.org driver for VirtualBox
Group: System/X11
URL: http://xorg.freedesktop.org
License: MIT
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vboxvideo-%{version}.tar.bz2

# upstream fixes

BuildRequires: pkgconfig(applewmproto) >= 1.0.0
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Recommends:     virtualbox-guest-additions

%description
x11-driver-video-vboxvideo is the X.org driver for VirtualBox.

%prep
%autosetup -n %{tarball}-%{version}

%build
%configure --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{driverdir}/vboxvideo_drv.so
%{_mandir}/man4/vboxvideo.4*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1:1.0.0-6.mga8
+ Revision: 1518572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0.0-5.mga7
+ Revision: 1301778
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 tmb <tmb> 1:1.0.0-4.mga7
+ Revision: 1234457
- rebuild for xorg 1.20

* Fri Mar 09 2018 tv <tv> 1:1.0.0-3.mga7
+ Revision: 1207645
- rebuild for xserver 1.20 RC1

* Thu Nov 30 2017 tmb <tmb> 1:1.0.0-2.mga7
+ Revision: 1180419
- submit to testing
+ tv <tv>
- recommends virtualbox-guest-additions

* Thu Nov 30 2017 tv <tv> 1:1.0.0-1.mga7
+ Revision: 1180391
- set epoch

* Thu Nov 30 2017 tv <tv> 1.0.0-1.mga7
+ Revision: 1180384
- imported package x11-driver-video-vboxvideo

